Bug 702058 - self intersecting paths
Summary: self intersecting paths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-04 16:40 UTC by Bernard Massot
Modified: 2011-07-12 21:58 UTC (History)
3 users (show)

Fixed In Version: lohit-devanagari-fonts-2.4.5-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-16 08:59:52 UTC
Type: ---


Attachments (Terms of Use)
patch to remove self intersecting paths (537.25 KB, patch)
2011-05-09 20:02 UTC, Bernard Massot
no flags Details | Diff
Lohit Devanagari's FontForge sfd file corresponding to patch 497905 (460.58 KB, application/octet-stream)
2011-05-18 16:48 UTC, Bernard Massot
no flags Details

Description Bernard Massot 2011-05-04 16:40:17 UTC
Description of problem:
Most glyphs have a point with the same coordinates as the first point. This extraneous point is useless and creates self intersecting points, which should be avoided.

Version-Release number of selected component (if applicable):
2.4.5

Comment 1 Pravin Satpute 2011-05-09 09:43:30 UTC
Thanks for reporting bug.
Can you submit patch as well against trunk?

Comment 2 Bernard Massot 2011-05-09 20:02:30 UTC
Created attachment 497905 [details]
patch to remove self intersecting paths

I corrected self intersecting glyphs using FontForge's "remove overlap" function. I had to "simplify" u0938_u094D.half before removing overlapping.

Comment 3 Pravin Satpute 2011-05-18 09:04:34 UTC
Hi Bernard,
i gone through your patch, its very useful -> https://bugzilla.redhat.com/attachment.cgi?id=497905&action=diff

It is removing double points like as below
1068  306 -220 l 1,14,-1
1069  306 -220 l 1,0,1


i tried to apply patch on lohit-devanagari but its look like patch: **** malformed patch at line 341: @@ -1304,7 +1282,6 @@ 


can you please attach Devanagari sfd file, so i can try it.

Comment 4 Pravin Satpute 2011-05-18 09:30:38 UTC
i can see some more things in patch other than just removing self intersecting. 

how did you worked on this?

Comment 5 Bernard Massot 2011-05-18 16:48:57 UTC
Created attachment 499639 [details]
Lohit Devanagari's FontForge sfd file corresponding to patch 497905

(In reply to comment #3)
> i tried to apply patch on lohit-devanagari but its look like patch: ****
> malformed patch at line 341: @@ -1304,7 +1282,6 @@ 
I just used "svn diff". Should I have done it another way?

> can you please attach Devanagari sfd file, so i can try it.
Done.

(In reply to comment #4)
> i can see some more things in patch other than just removing self intersecting. 
> 
> how did you worked on this?
As I said, I had to simplify u0938_u094D.half. Also FontForge keeps some extra info like window size, currently open glyph, etc. I may have done some minor corrections as well, like removing overlap in glyph actually made of two paths (ie. not just only with first and last points overlapping). I don't remember exactly.

Comment 6 Pravin Satpute 2011-05-19 09:36:55 UTC
steps for creating patch :

1) keep copy of "original source" and "modified source"
2) $diff -rup "original source" "modified source" > "patch-name"
3) vi "patch-name"

I will test sfd by tomorrow. yesterday while checking changes i found it good.

Comment 7 Pravin Satpute 2011-05-23 11:33:49 UTC
(In reply to comment #5)
> Created attachment 499639 [details]
> Lohit Devanagari's FontForge sfd file corresponding to patch 497905

Tested the new sfd, it looks nice to me 

Now Element->Validation->Find Problems->Paths-> Intersecting Paths not reporting any problems

Rendering also happening properly

I will build in Fedora 16 and Fedora 15 with patch and will push this patch after one week (lets other also test in fedora before making upstream)

Thanks Bernard for you contribution !!

Comment 8 Fedora Update System 2011-05-24 10:13:14 UTC
lohit-devanagari-fonts-2.4.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.4.5-2.fc15

Comment 9 Fedora Update System 2011-05-25 02:25:23 UTC
Package lohit-devanagari-fonts-2.4.5-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-devanagari-fonts-2.4.5-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.4.5-2.fc15
then log in and leave karma (feedback).

Comment 10 Pravin Satpute 2011-06-10 05:35:52 UTC
Hi Bernard
applied patch to upstream !!
added your name in the Author list in upstream. see https://fedorahosted.org/lohit/browser/trunk/AUTHORS

congrats you are now the contributor to Lohit :)

Comment 11 Fedora Update System 2011-06-22 09:16:28 UTC
lohit-devanagari-fonts-2.4.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.4.5-3.fc15

Comment 12 Fedora Update System 2011-07-12 21:57:52 UTC
lohit-devanagari-fonts-2.4.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.